Subject: Why not modernize Emacs

From: Raj Divecha <[email-masked]>
Date: Fri, 22 Nov 2024 23:27:09 +0000 (UTC)

Hi, I am an occasional Emacs user. I know that Emacs is a very capable editor. In fact, most modern editors provide similar features, just that the learning curve for them is close to nothing. They simply work out of the box. Thus, I am wondering, why not Emacs? How difficult would it be to provide a different interface, a simpler one yet fully capable? For example, while I can use Emacs for simple text editing, I still can't use it as my developer IDE. I want some feature that will help me easily install a project explorer like extension. The project explorer could help create workspaces, project, help me navigate them with ease etc. Think MS's VS Code. On the same lines, I would like a LaTeX window with its own extensions. Emacs already supports all this but the learning curve is so steep that I don't feel like opening it anymore! Thus wondering why can't Emacs come out with a simpler interface (and allow one to switch to an advance interface when needed) and throw the learning curve out the window? -OR- Am I missing something? Thanks, Raj